/* Groundhog -- a simple logic game
 * Copyright (C) 1998-2001 Maurits Rijk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <fstream.h>

#include "highscore.h"

void 
HighScore::Read()
{
   std::string filename = getenv("HOME");
   filename += "/.groundhog.highscore";
   std::ifstream in(filename.c_str());
   in >> _beginner >> _intermediate >> _expert;
}

void 
HighScore::Write()
{
   std::string filename = getenv("HOME");
   filename += "/.groundhog.highscore";
   std::ofstream out(filename.c_str());
   out << _beginner << std::endl
       << _intermediate << std::endl
       << _expert << std::endl;
}


