/* Groundhog -- a simple logic game
 * Copyright (C) 1998-2001 Maurits Rijk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <strstream.h>

#include "intl.h"
#include "solved_dialog.h"

SolvedDialog::SolvedDialog() : Dialog(_("Game Solved!"))
{
   SetSize(200, 100);

   _label = gtk_label_new("");
   gtk_box_pack_start(GTK_BOX(GTK_DIALOG(_window)->vbox), _label, TRUE, TRUE, 
		      10);
   gtk_widget_show(_label);
}

void
SolvedDialog::SetLabel(int moves)
{
   char info[128];
   std::ostrstream ost(info, sizeof(info));

   ost << _(" Game solved in ") << moves << _(" moves!") << std::ends;
   gtk_label_set(GTK_LABEL(_label), info);
}
